<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Helpers\DataHelper;
use Medialight\Textstem\Models\Post;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

class BlogLatestPosts extends ActiveComponent
{
    public static string $description = "Displays a list of recent blog posts.";
    public static string $version = '1.0.0';

    public $config;

    public array $editSetup = [
        [
            'name' => 'template',
            'controltype' => 'select-template',
            'value' => 'default',

        ],
        [
            'name' => 'title',
            'controltype' => 'text',
            'value' => 'Latest Stories',
            'label' => 'Title',
            'instruction' => 'Optional title.  ',
        ],
        [
            'name' => 'route',
            'controltype' => 'text',
            'value' => '/blog',
            'label' => 'View Page Url',
            'size' => 3,
        ],
    ];


    public function render(Request $request, WranglerPage $wranglerPage)
    {

        $data = $this->data();

        $data['posts'] = Post::where('post_type', 'blog')
            ->public()
            ->orderBy('published_at', 'desc')
            ->limit(4)
            ->get();

        $view = $this->getView();

        return view($view, $data)->render();
    }


    public function preview()
    {
        $data = $this->data();

        $data['posts'] = Post::where('post_type', 'blog')
            ->public()
            ->orderBy('published_at', 'desc')
            ->limit(4)
            ->get();;

        $view = $this->getView();

        return view($view, $data)->render();
    }


}
