<div class="bg-gray-50 flex flex-col ">
    <div class="w-full mx-auto max-w-7xl px-4 lg:px-8 ">
        <div class="w-full flex items-center justify-between my-8">
            <div class="flex-grow">
                <div class="h3 u-bullet mb-0">{{$title ?? 'Latest Stories'}}</div>
            </div>
            <div class="flex-none">
                <a href="{{ $route }}" class="arrow-link">View All<span class="arrow"></span></a>
            </div>
        </div>
    </div>
    <div class="py-4 lg:py-16 mb-8 mx-auto max-w-7xl px-4 lg:px-8">
        @php $post = $posts->shift(); @endphp
        <div class="w-full flex-col flex lg:flex-row gap-4 lg:gap-x-8">
            <div class="lg:w-1/2">
                @if ($post->thumbnail)
                    <a href="{{ $route }}/{{$post->id}}/{{$post->slug}}">
                        <img class="" src="{{ Storage::url($post->thumbnail) }}" alt="{{$post->title}}"/>
                    </a>
                @endif
            </div>
            <div class="lg:w-1/2 lg:order-first gap-y-4 lg:gap-y-8">
                <div class="text-gray-500">{{ \Carbon\Carbon::parse($post->published_at)->format('d M Y') }}</div>
                <a class="readmore" href="{{ $route }}/{{$post->id}}/{{$post->slug}}">
                    <h2 class="h2">
                        {{ $post->title }}
                    </h2>
                </a>
                <div class="prose my-4">
                    {!!  get_postsynopsis($post) !!}
                </div>
                <div>
                    <a href="{{ $route }}/{{$post->id}}/{{$post->slug}}" class="btn ">
                        Read More
                    </a>
                </div>

            </div>
        </div>
    </div>


</div>
<div class="mb-8 border-t border-b border-gray-200">
    <div class=" mx-auto max-w-7xl ">
        <div class="w-full flex flex-col lg:flex-row divide-x">
            @foreach($posts as $post)
                <div class="w-full lg:w-1/3 p-4 lg:p-8">
                    @if ($post->thumbnail)
                        <a href="{{ $route }}/{{$post->id}}/{{$post->slug}}">
                            <img class="rounded-md-t-md object-thumbnail w-full"
                                 src="/img/poster{{ Storage::url($post->thumbnail) }}" alt="..."/>
                        </a>
                    @endif
                    <div class="grid gap-2">

                        <div class="mt-4 text-sm text-gray-500">
                            {{ \Carbon\Carbon::parse($post->published_at)->format('d M Y') }}
                        </div>
                        <a class="readmore" href="{{ $route }}/{{$post->slug}}">
                            <h4 class="h3">{{ $post->title }}</h4>
                        </a>
                        <div class="prose mb-4 line-clamp-4">
                            {!! $post->synopsis !!}
                        </div>
                        <div class="mb-4">
                            <a href="{{ $route }}/{{$post->id}}/{{$post->slug}}" class="btn ">
                                Read More
                            </a>
                        </div>

                    </div>

                </div>
            @endforeach
        </div>
    </div>
</div>
